terminalMarket Lookup Endpoint

Fetch the exact markets you care about — no discovery, just data. Includes hot-and-ready raw market data you can decode and parse client-side.

Max markets: 10 per request. Note: returns recent market data, derived from arbitrage transactions only. Market TTL is 12hrs.

POST https://api.getfomo.bot/market-lookup

Request

curl -X POST https://api.getfomo.bot/market-lookup \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "markets": ["3iUT1oAAUSqKeHAjkumZJbptihy2yN7AwFij2CrsUZVC"]
  }'

Body Fields

Field
Type
Default
Description

markets

string[]

["3iUT..."]

Market/pool addresses to fetch data for.

Response

{
  "success": true,
  "count": 1,
  "markets": [
    {
      "pubkey": "3iUT1oAAUSqKeHAjkumZJbptihy2yN7AwFij2CrsUZVC",
      "owner": "pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA",
      "intermedium_mint": "61Wj56QgGyyB966T7YsMzEAKRLcMvJpDbPzjkrCZc4Bi",
      "base_mint": "So11111111111111111111111111111111111111112",
      "updated_at": "2026-01-17T12:00:00Z",
      "raw_data": [241,154,109,...]
    }
    ...
  ]
}

Last updated